Bug 216971 - kdeartwork-extras: missing .desktop files for some bits of xscreensaver-gl-extras
kdeartwork-extras: missing .desktop files for some bits of xscreensaver-gl-ex...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeartwork-extras (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 17:20 EST by Jason Farrell
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 15:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2006-11-22 17:20:31 EST
Description of problem:
kdeartwork-extras is missing two .desktop files in
/usr/share/applnk/System/ScreenSavers/ necessary to provide KDE support for ALL
of the ScreenSavers in the xscreensaver-gl-extras package. The missing
screensavers are:
1) glschool
2) topblock


Steps to Reproduce:
1) yum install kdeartwork-extras xscreensaver-gl-extras

2) # find the screensavers in xscreensaver-gl-extras rpm list set that are
missing from kdeartwork-extras's rpm list:
[jaf@nano:0j:148h tmp]$ rpm -ql kdeartwork-extras | grep
"/usr/share/applnk/System/ScreenSavers/" > /tmp/kdeartwork-extras.list; for i in
$(rpm -ql xscreensaver-gl-extras | grep /usr/libexec/xscreensaver/); do grep -q
$(basename $i) /tmp/kdeartwork-extras.list; [ $? -ne 0 ] && echo "$(basename $i)
not in kdeartwork-extras package"; done

glschool not in kdeartwork-extras package
topblock not in kdeartwork-extras package


Actual results:
missing .desktop files those two screensavers.

Expected results:
.desktop files provided for all gl xscreensavers, so they work in KDE (and not
just Gnome).

Additional info:
Comment 1 Rex Dieter 2006-12-06 10:32:33 EST
I'll keep an eye on this, but I'm not sure if it's worth being in the arm's race
of modifying/rebuilding kdeartwork-extras every time xscreensaver adds a new
hack/screensaver.

The best (long-term) solution would be for kdeartwork to dynamically (at
runtime) generate the list of available xscreensaver-based screensavers.
Comment 2 Rex Dieter 2007-06-19 15:39:22 EDT
marking WONTFIX here (for now), we'll see how kde4 works, and try to address
this better there.

Note You need to log in before you can comment on or make changes to this bug.